Intempt Docs
Developer DocsAPI Reference

Recommendations Feed API

Retrieve a ranked list of products from an Intempt recommendation feed — Most Popular, Recently Viewed, Purchased Together, Image Similarity, and more.

Recommendations Feed API

POST /{orgName}/projects/{projectName}/feeds/{id}/data

Returns a ranked collection of products from an Intempt recommendation feed. Supported feed types include Most Popular, Recently Viewed, Purchased Together, Image Similarity, and other personalized strategies.


Path Parameters

ParameterTypeRequiredDescription
orgNamestringYesOrganization name
projectNamestringYesProject name
idstringYesProduct feed ID

Query Parameters

ParameterTypeRequiredDescription
apiKeystringNoIntempt API key

Request Body

Content-Type: application/json

FieldTypeDefaultDescription
idstring""Identifier value — userId or profileId depending on type
typestring""Identifier type: USER or PROFILE
sourceIdstringRequired when type is PROFILE
productIdstring""Product ID for feeds that require product context (e.g. Purchased Together, Image Similarity)
offsetnumber0Index position from which to start returning results
limitnumber3Maximum number of products to return
fieldsstring[]""Field names to include in each product object

Identification

TypeDescription
USERSupply your userId in the id field
PROFILESupply the profileId in id and include sourceId

Example

{
  "type": "USER",
  "id": "user_jtalemkw_5928174630519_zamrittoQ7",
  "sourceId": "4829375106281943752",
  "fields": [
    "id",
    "price",
    "link",
    "updatedAt"
  ],
  "productId": "1234",
  "offset": 0,
  "limit": 3
}

Responses

200 OK

Returns products — an array of product objects containing only the fields you requested.

{
  "products": [
    {
      "id": "4821",
      "price": 51.04,
      "link": "https://example.com/item/alpha-4821",
      "updatedAt": "Nov 25, 2025 11:43 AM"
    },
    {
      "id": "9375",
      "price": 369.05,
      "link": "https://example.com/item/beta-9375",
      "updatedAt": "Nov 25, 2025 11:43 AM"
    },
    {
      "id": "6142",
      "price": 275.92,
      "link": "https://example.com/item/gamma-6142",
      "updatedAt": "Nov 25, 2025 11:30 AM"
    }
  ]
}

Response Fields

FieldTypeDescription
productsarrayRanked list of product objects
products[].{field}anyOnly the fields you specified in the fields request parameter

On this page